All of lore.kernel.org
 help / color / mirror / Atom feed
From: "S.Çağlar Onur" <caglar@pardus.org.tr>
To: Git Mailing List <git@vger.kernel.org>
Subject: [Patch] trap: exit: invalid signal specification
Date: Sat, 24 Jun 2006 04:10:12 +0300	[thread overview]
Message-ID: <200606240410.18334.caglar@pardus.org.tr> (raw)

[-- Attachment #1: Type: text/plain, Size: 1022 bytes --]

Hi;

This tiny patch is needed to solve

caglar@zangetsu ~ $ git-clone 
/usr/bin/git-clone: line 121: trap: exit: invalid signal specification

error under tr_TR.UTF-8 (and other Turkic locales). For these locales 
upper(i) != I .

P.S: If needed please CC me, i'm not subscribed to list

Signed-off-by: S.Çağlar Onur <caglar@pardus.org.tr>
---

diff -ur git-1.4.0.orig/git-clone.sh git-1.4.0/git-clone.sh
--- git-1.4.0.orig/git-clone.sh 2006-06-10 22:41:54.000000000 +0300
+++ git-1.4.0/git-clone.sh      2006-06-24 03:54:49.000000000 +0300
@@ -205,7 +205,7 @@
 [ -e "$dir" ] && echo "$dir already exists." && usage
 mkdir -p "$dir" &&
 D=$(cd "$dir" && pwd) &&
-trap 'err=$?; cd ..; rm -r "$D"; exit $err' 0
+trap 'err=$?; cd ..; rm -r "$D"; EXIT $err' 0
 case "$bare" in
 yes)
        GIT_DIR="$D" ;;

-- 
S.Çağlar Onur <caglar@pardus.org.tr>
http://cekirdek.pardus.org.tr/~caglar/

Linux is like living in a teepee. No Windows, no Gates and an Apache in house!

[-- Attachment #2: Type: application/pgp-signature, Size: 189 bytes --]

             reply	other threads:[~2006-06-24  1:10 UTC|newest]

Thread overview: 5+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2006-06-24  1:10 S.Çağlar Onur [this message]
2006-06-24  2:50 ` [Patch] trap: exit: invalid signal specification Junio C Hamano
2006-06-24 12:54   ` S.Çağlar Onur
2006-06-24 16:57     ` Matthias Lederhofer
     [not found]     ` <f36b08ee0606241311h399c42b0h11638f14d6f54bd5@mail.gmail.com>
2006-06-25 14:33       ` S.Çağlar Onur

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=200606240410.18334.caglar@pardus.org.tr \
    --to=caglar@pardus.org.tr \
    --cc=git@vger.kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.